Subject: Re: [X2Go-Dev] Bug#585: Bug#585: Fix

From: Mike Gabriel <[email-masked]>
Date: Wed, 05 Nov 2014 11:13:57 +0000

Hi Ulrich,

On  Mi 05 Nov 2014 10:04:53 CET, Mike Gabriel wrote:

> Control: tag -1 patch
>
>
> Hi Uli,
>
> On  Di 04 Nov 2014 23:51:35 CET, Ulrich Sibiller wrote:
>
>> Without XFIXES the client calls GetSelectionOwner() before every paste
>> operation and therefor always knows the current selection owner.
>>
>> With XFIXES some clients rely solely on the
>> XFixesSelectSelectionInput/XFixesSelectionNotify mechanism. But they
>> never receive any notifications because the nxagent does not register
>> at the real X server to receive those notifications itself and so
>> never gets anything to forward to the clients. A client assuming it
>> will get informed about owner changes skips the GetSelectionOwner()
>> call. So it never knows that the selection owner has changed and
>> refers to what it thinks the current owner is (itself).
>>
>> Attached is a fix for this bug. nxagent calls
>> XFixesSelectSelectionInput for all its selections (t.i. CLIPBOARD and
>> PRIMARY, _not_ SECONDARY) now. It (still) does not check the return
>> code but the original code registering only CLIPBOARD did neither...
>>
>> This is a complete patch generated by git format-patch after using
>> (d)quilt as documented in the wiki.
>>
>> As I did not find any hints of what patch number to choose I took 207
>> to put it as close as possible to other clipboard related patches.
>> Feel free to change that...
>>
>>
>> Uli
>
> Cool! The patch looks good. Even the integration in the quilt based  
> patching mechanism we use with nx-libs.
>
> I will apply your patch and run a test build in a minute.
>
> Mike

The patch indeed fixes the problem! Thanks for your good work!!!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb